<template>
  <div
    class="login"
  >
    <div class="background" />
    <section
      style="background-color: transparent;width:30%;position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);"
    >
      <b-image
        src="/images/logo128x128.png"
        alt="A random image"
        class="is-128x128 mb-3"
        style="margin:auto"
        rounded
      />
      <div
        class="box is-shadowless"
        style="border-radius:10px;border:solid;border-color:transparent;"
      >
        <h3 class="title has-text-centered has-text-primary">
          Sign In
        </h3>
        <ValidationObserver v-slot="{ handleSubmit }">
          <ValidationProvider
            v-slot="{ errors }"
            rules="required|email"
            name="Email"
          >
            <b-field
              label="Email"
              :type="{ 'is-danger': errors[0] }"
              :message="errors"
              class="mb-5"
            >
              <b-input
                v-model="email"
                icon-right="user"
                placeholder="Email"
              />
            </b-field>
          </ValidationProvider>

          <ValidationProvider
            v-slot="{ errors }"
            rules="required"
            name="Password"
          >
            <b-field
              label="Password"
              :type="{ 'is-danger': errors[0] }"
              :message="errors"
              class="mb-5"
            >
              <b-input
                v-model="password"
                type="password"
                placeholder="Password"
                password-reveal
              />
            </b-field>
          </ValidationProvider>
          <div class="has-text-centered mt-5">
            <b-button
              class="button is-primary"
              expanded
              @click="handleSubmit(login)"
            >
              Login
            </b-button>
          </div>
        </ValidationObserver>
      </div>
    </section>
  </div>
</template>
<script>
export default {
  name: 'Login',
  components: {},
  data () {
    return {
      email: '',
      password: ''
    };
  },
  methods: {
    login: function () {
      const email = this.email;
      const password = this.password;
      const redirect = '/';
      this.$store
        .dispatch('login', { email, password })
        .then(() => {
          this.$buefy.toast.open({
            message: 'Berhasil Login',
            type: 'is-success'
          });
          this.$router.push({ path: redirect });
        })
        .catch(() => {
          this.$buefy.toast.open({
            message: 'Email atau Password Salah',
            type: 'is-danger'
          });
        });
    }
  }
};
</script>
<style scoped>
.login {
  min-height:100vh;
}
.background{
  position:absolute;
  background-image:url("/images/background.png");
  width: 100%;
  height:100%;
  overflow:hidden
}
</style>
